<?xml version="1.0" encoding="UTF-8"?>
<ejb-jar version="2.1" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/ejb-jar_2_1.xsd">
    <description>EJB 2.0 Bean definition.
    This bean is an example of legacy application....that will be interfaced via a webservice endpoint.</description>
    <display-name>common_ex_EJB</display-name>
    <enterprise-beans>
        <message-driven>
            <display-name>XVTMessageDrivenBean</display-name>
            <ejb-name>XVTMessageDrivenBean</ejb-name>
            <ejb-class>ossj.common.ex.XVTMessageDrivenBean</ejb-class>
            <transaction-type>Container</transaction-type>
            <message-destination-type>javax.jms.Queue</message-destination-type>
            <env-entry>
                <env-entry-name>applicationDN</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation/</env-entry-value>
            </env-entry>
            <ejb-ref>
                <ejb-ref-name>ejb/VpnServiceBean</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <home>ossj.common.ex.VpnServiceRemoteHome</home>
                <remote>ossj.common.ex.VpnServiceRemote</remote>
            </ejb-ref>
        </message-driven>
        <session>
            <description>Session interface for the WS endpoint...</description>
            <display-name>VpnServiceSB</display-name>
            <ejb-name>VpnServiceEJB</ejb-name>
            <home>ossj.common.ex.VpnServiceRemoteHome</home>
            <remote>ossj.common.ex.VpnServiceRemote</remote>
            <ejb-class>ossj.common.ex.VpnServiceBean</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
                <env-entry-name>URL</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>"iiop://127.0.0.1:3700"</env-entry-value>
            </env-entry>
            <env-entry>
                <env-entry-name>applicationDN</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation</env-entry-value>
            </env-entry>
            <ejb-ref>
                <description>Is responsible for sending out all JMS Events</description>
                <ejb-ref-name>ejb/JmsSender</ejb-ref-name>
                <ejb-ref-type>Session</ejb-ref-type>
                <home>ossj.common.ex.JmsSenderHome</home>
                <remote>ossj.common.ex.JmsSender</remote>
            </ejb-ref>
            <ejb-local-ref>
                <ejb-ref-name>ejb/MplsvpnTbl</ejb-ref-name>
                <ejb-ref-type>Entity</ejb-ref-type>
                <local-home>ossj.common.ex.MplsvpnTblLocalHome</local-home>
                <local>ossj.common.ex.MplsvpnTblLocal</local>
                <ejb-link>MplsvpnTblEJB</ejb-link>
            </ejb-local-ref>
        </session>   
        <session>
            <ejb-name>JmsSender</ejb-name>
            <home>ossj.common.ex.JmsSenderHome</home>
            <remote>ossj.common.ex.JmsSender</remote>
            <ejb-class>ossj.common.ex.JmsSenderBean</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
                <env-entry-name>ApplicationDN</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation</env-entry-value>
            </env-entry>
            <env-entry>
                <env-entry-name>URL</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>"iiop://127.0.0.1:3700"</env-entry-value>
            </env-entry>
            <resource-ref>
                <res-ref-name>jms/TopicFactory</res-ref-name>
                <res-type>javax.jms.TopicConnectionFactory</res-type>
                <res-auth>Container</res-auth>
            </resource-ref>
            <resource-env-ref>
                <resource-env-ref-name>jms/EventTopic</resource-env-ref-name>
                <resource-env-ref-type>javax.jms.Topic</resource-env-ref-type>
            </resource-env-ref>
        </session>
        <entity>
            <description>jdbc:derby://localhost:1527/mplsvpndb [dbuser on Default schema] fro the DB access</description>
            <display-name>MplsvpnTblEB</display-name>
            <ejb-name>MplsvpnTblEJB</ejb-name>
            <local-home>ossj.common.ex.MplsvpnTblLocalHome</local-home>
            <local>ossj.common.ex.MplsvpnTblLocal</local>
            <ejb-class>ossj.common.ex.MplsvpnTblBean</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>true</reentrant>
            <abstract-schema-name>MplsvpnTbl</abstract-schema-name>
            <cmp-field>
                <field-name>mplskey</field-name>
            </cmp-field>
            <cmp-field>
                <field-name>state</field-name>
            </cmp-field>
            <cmp-field>
                <field-name>subscriberid</field-name>
            </cmp-field>
            <cmp-field>
                <field-name>mandatory</field-name>
            </cmp-field>
            <cmp-field>
                <field-name>vrfname</field-name>
            </cmp-field>
            <cmp-field>
                <field-name>startmode</field-name>
            </cmp-field>
            <primkey-field>mplskey</primkey-field>
            <env-entry>
                <env-entry-name>URL</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>"iiop://127.0.0.1:3700"</env-entry-value>
            </env-entry>
            <env-entry>
                <env-entry-name>applicationDN</env-entry-name>
                <env-entry-type>java.lang.String</env-entry-type>
                <env-entry-value>System/System1/ApplicationType/Common/Application/1-5;1-5;ReferenceImplementation</env-entry-value>
            </env-entry>
            <query>
                <description>auto generated method</description>
                <query-method>
                    <method-name>findByMplskey</method-name>
                    <method-params>
                        <method-param>java.lang.String</method-param>
                    </method-params>
                </query-method>
                <ejb-ql>SELECT OBJECT(m) FROM MplsvpnTbl AS m WHERE m.mplskey = ?1</ejb-ql>
            </query>
            <query>
                <description>auto generated method</description>
                <query-method>
                    <method-name>findByState</method-name>
                    <method-params>
                        <method-param>java.lang.String</method-param>
                    </method-params>
                </query-method>
                <ejb-ql>SELECT OBJECT(m) FROM MplsvpnTbl AS m WHERE m.state = ?1</ejb-ql>
            </query>
            <query>
                <description>auto generated method</description>
                <query-method>
                    <method-name>findBySubscriberid</method-name>
                    <method-params>
                        <method-param>java.lang.String</method-param>
                    </method-params>
                </query-method>
                <ejb-ql>SELECT OBJECT(m) FROM MplsvpnTbl AS m WHERE m.subscriberid = ?1</ejb-ql>
            </query>
            <query>
                <description>auto generated method</description>
                <query-method>
                    <method-name>findByMandatory</method-name>
                    <method-params>
                        <method-param>java.lang.Integer</method-param>
                    </method-params>
                </query-method>
                <ejb-ql>SELECT OBJECT(m) FROM MplsvpnTbl AS m WHERE m.mandatory = ?1</ejb-ql>
            </query>
            <query>
                <description>auto generated method</description>
                <query-method>
                    <method-name>findByVrfname</method-name>
                    <method-params>
                        <method-param>java.lang.String</method-param>
                    </method-params>
                </query-method>
                <ejb-ql>SELECT OBJECT(m) FROM MplsvpnTbl AS m WHERE m.vrfname = ?1</ejb-ql>
            </query>
            <query>
                <description>auto generated method</description>
                <query-method>
                    <method-name>findByStartmode</method-name>
                    <method-params>
                        <method-param>java.lang.Integer</method-param>
                    </method-params>
                </query-method>
                <ejb-ql>SELECT OBJECT(m) FROM MplsvpnTbl AS m WHERE m.startmode = ?1</ejb-ql>
            </query>
        </entity>
    </enterprise-beans>
    <assembly-descriptor>
        <container-transaction>
            <method>
                <ejb-name>VpnServiceEJB</ejb-name>
                <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
        </container-transaction>
        <container-transaction>
            <method>
                <ejb-name>MplsvpnTblEJB</ejb-name>
                <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
        </container-transaction>
        <container-transaction>
            <method>
                <ejb-name>JmsSender</ejb-name>
                <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
        </container-transaction>
        <container-transaction>
            <method>
                <ejb-name>XVTMessageDrivenBean</ejb-name>
                <method-name>onMessage</method-name>
            </method>
            <trans-attribute>NotSupported</trans-attribute>
        </container-transaction>
    </assembly-descriptor>
</ejb-jar>
